Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78225 - [patch] First-time squid run crashes if no DNS
Summary: [patch] First-time squid run crashes if no DNS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: squid
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-11-20 12:42 UTC by Robin Green
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 20:58:24 UTC


Attachments (Terms of Use)

Description Robin Green 2002-11-20 12:42:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021018

Description of problem:
When I ran squid for the first time it kept crashing on startup. I was not
online at the time. I traced the problem to a bug in startup script, see below.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Disconnect from network
2. Reinstall squid, deleting cache
3. Start squid
	

Actual Results:  Squid crashes when creating cache

Patch:

--- squid~      Thu Jul 18 09:49:56 2002
+++ squid       Wed Nov 20 12:30:20 2002
@@ -52,7 +52,7 @@
     for adir in $CACHE_SWAP; do
         if [ ! -d $adir/00 ]; then
             echo -n "init_cache_dir $adir... "
-            $SQUID -z -F 2>/dev/null
+            $SQUID -z -F -D 2>/dev/null
        fi
     done
     echo -n $"Starting $prog: "

Comment 1 Bill Nottingham 2003-01-15 20:58:24 UTC
will be added in 2.5.STABLE1-1, thx!


Note You need to log in before you can comment on or make changes to this bug.